import {defineStore} from "pinia";
import {reactive, ref} from "vue";

export const useSystemStore = defineStore('SystemStore', () => {
    const accountManagementPo = reactive({
        pid: null,
    });
    const message = ref([]);
    return {
        accountManagementPo,
        message,
    }
}, {
    persist: {
        key: 'SystemStore',
        pick: ['message'],
        storage: {
            getItem(key) {
                return uni.getStorageSync(key);
            },
            setItem(key, value) {
                uni.setStorageSync(key, value);
            }
        },
    }
});
